- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::State::EnabledArrayPair Struct Reference

List of all members.

## Public Member Functions
| EnabledArrayPair ()
| EnabledArrayPair (const EnabledArrayPair &eap)
EnabledArrayPair & | operator= (const EnabledArrayPair &eap)
## Public Attributes
bool | _dirty
bool | _enabled
GLboolean | _normalized
const GLvoid * | _pointer

## Constructor & Destructor Documentation

osg::State::EnabledArrayPair::EnabledArrayPair | ( |  | ) | `[inline]`

osg::State::EnabledArrayPair::EnabledArrayPair | ( | const EnabledArrayPair & | eap | ) | `[inline]`

## Member Function Documentation

EnabledArrayPair& osg::State::EnabledArrayPair::operator= | ( | const EnabledArrayPair & | eap | ) | `[inline]`

## Member Data Documentation

bool osg::State::EnabledArrayPair::_dirty

bool osg::State::EnabledArrayPair::_enabled

GLboolean osg::State::EnabledArrayPair::_normalized

const GLvoid* osg::State::EnabledArrayPair::_pointer

The documentation for this struct was generated from the following file:

- State